Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 19 Jan 2021 04:16:21 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns The kerala representative in Majmaa store rejected my return request as he was saying that it has kitchen smell and smoking smell. He just tried to skip my return by saying wrong finding. I did jot not want to create more dispute and left your store. I came back with original tag and bill. I am non smoking person and the size XL does not fill well so brought for return. Anyway i dont agree with that person as the dress has smell like thay. I strongly condemn his way of treatment towards expat. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1999306